jQuery( document ).ready(function( $ ) {
    $( "#datepicker-start" ).datepicker({ dateFormat: 'yy-mm-dd' });
    $( "#datepicker-end" ).datepicker({ dateFormat: 'yy-mm-dd' });
    $( ".reminder-date" ).datepicker({ dateFormat: 'yy-mm-dd' });

    CKEDITOR.replace( 'task_description' );

    // CKEDITOR.replace( 'task_description', {
	// 	extraPlugins: 'imageuploader'
	// });

	// ClassicEditor
	// 	.create( document.querySelector( '#task_description' ) )
	// 	.then( editor => {
	// 		console.log( editor );
	// 	} )
	// 	.catch( error => {
	// 		console.error( error );
	// 	} );


	jQuery("button.add-new-address").click(function() {
		var addresses_count = jQuery(".addresses-block>.card").size();
		if (addresses_count == 1) {
			jQuery(".addresses-block>.card:eq(0)>.card-header").html("Address 1");
			// jQuery(".addresses-block>.card:eq(0) button.remove-address").removeAttr("disabled");
		}
		addresses_count++;
		var address_card = jQuery(".addresses-block>.card:eq(0)").html();
		jQuery(".addresses-block").append('<div class="card mb-4" style="display: none;">'+address_card+'</div>');

		jQuery(".addresses-block>.card:eq("+(addresses_count-1)+")>input[type='hidden']").remove();
		jQuery(".addresses-block>.card:eq("+(addresses_count-1)+")>.card-header").html("Address "+addresses_count);
		jQuery(".addresses-block>.card:eq("+(addresses_count-1)+") .card-body .street_address input").attr("name", "street_address-"+addresses_count).val("").removeAttr("value");
		jQuery(".addresses-block>.card:eq("+(addresses_count-1)+") .card-body .address_line_2 input").attr("name", "address_line_2-"+addresses_count).val("").removeAttr("value");
		jQuery(".addresses-block>.card:eq("+(addresses_count-1)+") .card-body .city input").attr("name", "city-"+addresses_count).val("").removeAttr("value");
		jQuery(".addresses-block>.card:eq("+(addresses_count-1)+") .card-body .state input").attr("name", "state-"+addresses_count).val("").removeAttr("value");
		jQuery(".addresses-block>.card:eq("+(addresses_count-1)+") .card-body .zip_code input").attr("name", "zip_code-"+addresses_count).val("").removeAttr("value");

		jQuery(".addresses-block>.card:eq("+(addresses_count-1)+")").removeAttr("style");
		jQuery(".addresses-block input[name='addresses_count']").val(addresses_count);
	});


	jQuery(document).on("click", "button.remove-address", function() {
		var addresses_count = jQuery(".addresses-block>.card").size();

		var current_card_id = jQuery(this).parent("div").parent("div").parent("div").parent("div.card").attr("id");

		if (addresses_count > 1) {
			var current_card_index = jQuery(this).parent("div").parent("div").parent("div").parent("div.card").index()-2;
			jQuery(".addresses-block>.card:eq("+current_card_index+")").remove();

			var addresses_count_after_remove = jQuery(".addresses-block>.card").size();
			for (var i = 0; i < addresses_count_after_remove; i++) {
				if ( i == ( addresses_count_after_remove - 1 ) ) {
					jQuery(".addresses-block>.card:eq("+i+")>.card-header").html("Address");
				}
				else {
					jQuery(".addresses-block>.card:eq("+i+")>.card-header").html("Address "+(i+1));
				}

				jQuery(".addresses-block>.card:eq("+i+") .card-body .street_address input").attr("name", "street_address-"+(i+1));
				jQuery(".addresses-block>.card:eq("+i+") .card-body .address_line_2 input").attr("name", "address_line_2-"+(i+1));
				jQuery(".addresses-block>.card:eq("+i+") .card-body .city input").attr("name", "city-"+(i+1));
				jQuery(".addresses-block>.card:eq("+i+") .card-body .state input").attr("name", "state-"+(i+1));
				jQuery(".addresses-block>.card:eq("+i+") .card-body .zip_code input").attr("name", "zip_code-"+(i+1));
			}
		}
		else {
			jQuery(".addresses-block>.card:eq(0) .card-body .street_address input").val("").removeAttr("value");
			jQuery(".addresses-block>.card:eq(0) .card-body .address_line_2 input").val("").removeAttr("value");
			jQuery(".addresses-block>.card:eq(0) .card-body .city input").val("").removeAttr("value");
			jQuery(".addresses-block>.card:eq(0) .card-body .state input").val("").removeAttr("value");
			jQuery(".addresses-block>.card:eq(0) .card-body .zip_code input").val("").removeAttr("value");
			jQuery(".addresses-block>.card:eq(0)").removeAttr("id");
		}

		if ( current_card_id ) {
			var deleted_addresses_ids_val = jQuery(".addresses-block input[name='deleted_addresses_ids']").val();
			if ( deleted_addresses_ids_val ) {
				jQuery(".addresses-block input[name='deleted_addresses_ids']").val(deleted_addresses_ids_val+","+current_card_id);
			}
			else {
				jQuery(".addresses-block input[name='deleted_addresses_ids']").val(current_card_id);	
			}			
		}

		addresses_count = jQuery(".addresses-block>.card").size();
		// if (addresses_count == 1) {
		// 	jQuery(".addresses-block>.card:eq(0) button.remove-address").attr("disabled","");
		// }
		jQuery(".addresses-block input[name='addresses_count']").val(addresses_count);
	});


	jQuery("button.add-new-reminder").click(function() {
		var reminders_count = jQuery(".reminders-block>.card").size();
		if (reminders_count == 1) {
			jQuery(".reminders-block>.card:eq(0)>.card-header").html("Reminder 1");
			// jQuery(".reminders-block>.card:eq(0) button.remove-reminder").removeAttr("disabled");
		}
		reminders_count++;
		var reminder_card = jQuery(".reminders-block>.card:eq(0)").html();

		var reminder_card_recurring_checked = jQuery(".reminders-block>.card:eq(0) .card-body .recurring input[type='radio']:checked").val();
		var reminder_card_to_do_checked = jQuery(".reminders-block>.card:eq(0) .card-body .to_do input[type='radio']:checked").val();

		jQuery(".reminders-block").append('<div class="card mb-4" style="display: none;">'+reminder_card+'</div>');

		jQuery(".reminders-block>.card:eq(0) .card-body .recurring input[type='radio']:eq("+reminder_card_recurring_checked+")").prop( "checked", true );
		jQuery(".reminders-block>.card:eq(0) .card-body .to_do input[type='radio']:eq("+reminder_card_to_do_checked+")").prop( "checked", true );

		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+")>input[type='hidden']").remove();
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+")>.card-header").html("Reminder "+reminders_count);
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .text_to_remind input").attr("name", "text_to_remind-"+reminders_count).val("").removeAttr("value");
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .date input").attr("name", "date-"+reminders_count).val("").removeAttr("value");
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .date input").removeAttr("id");
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .date input").removeClass("hasDatepicker");
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .date input").datepicker({ dateFormat: 'yy-mm-dd' });
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .frequency select").attr("name", "frequency-"+reminders_count).val("").removeAttr("value");
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .recurring input[type='radio']").attr("name", "recurring-"+reminders_count).removeAttr("checked");
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .recurring input[type='radio']:eq(0)").prop( "checked", true );
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .to_do input[type='radio']").attr("name", "to_do-"+reminders_count).removeAttr("checked");
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .to_do input[type='radio']:eq(0)").prop( "checked", true );
		
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .to_do .emails-to-send").attr("style", "display: block;");
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .to_do .emails-to-send input[type='hidden']").attr("name", "emails_count-"+reminders_count).val(1);
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .to_do .emails-to-send .email").not(':first').remove();
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .to_do .emails-to-send .email input").attr("name", "email-"+reminders_count+"-1").val("").removeAttr("value");
		
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .to_do .create-task").attr("style", "display: none;");
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .to_do .create-task .user select").attr("name", "user-"+reminders_count).val("").removeAttr("value");
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .to_do .create-task .short_description input").attr("name", "short_description-"+reminders_count).val("").removeAttr("value");
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .to_do .create-task .deadline select").attr("name", "deadline-"+reminders_count).val("").removeAttr("value");
		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+") .card-body .to_do .create-task .importance select").attr("name", "importance-"+reminders_count).val("").removeAttr("value");

		jQuery(".reminders-block>.card:eq("+(reminders_count-1)+")").attr("style","display: block;");
		jQuery(".reminders-block input[name='reminders_count']").val(reminders_count);
	});


	jQuery(document).on("click", "button.remove-reminder", function() {
		var reminders_count = jQuery(".reminders-block>.card").size();

		var current_card_id = jQuery(this).parent("div").parent("div").parent("div").parent("div.card").attr("id");

		if (reminders_count > 1) {
			var current_card_index = jQuery(this).parent("div").parent("div").parent("div").parent("div.card").index()-2;
			jQuery(".reminders-block>.card:eq("+current_card_index+")").remove();

			var reminders_count_after_remove = jQuery(".reminders-block>.card").size();
			for (var i = 0; i < reminders_count_after_remove; i++) {
				if ( i == ( reminders_count_after_remove - 1 ) ) {
					jQuery(".reminders-block>.card:eq("+i+")>.card-header").html("Reminder");
				}
				else {
					jQuery(".reminders-block>.card:eq("+i+")>.card-header").html("Reminder "+(i+1));
				}

				jQuery(".reminders-block>.card:eq("+i+") .card-body .text_to_remind input").attr("name", "text_to_remind-"+(i+1));
				jQuery(".reminders-block>.card:eq("+i+") .card-body .date input").attr("name", "date-"+(i+1));
				jQuery(".reminders-block>.card:eq("+i+") .card-body .frequency select").attr("name", "frequency-"+(i+1));
				jQuery(".reminders-block>.card:eq("+i+") .card-body .recurring input[type='radio']").attr("name", "recurring-"+(i+1));
				jQuery(".reminders-block>.card:eq("+i+") .card-body .to_do input[type='radio']").attr("name", "to_do-"+(i+1));
				
				jQuery(".reminders-block>.card:eq("+i+") .card-body .to_do .emails-to-send input[type='hidden']").attr("name", "emails_count-"+(i+1));
				var emails_count = jQuery(".reminders-block>.card:eq("+i+") .card-body .to_do .emails-to-send .email").size();
				for (var e = 0; e < emails_count; e++) {
					jQuery(".reminders-block>.card:eq("+i+") .card-body .to_do .emails-to-send .email:eq("+e+") input").attr("name", "email-"+(i+1)+"-"+(e+1));
				}
				
				jQuery(".reminders-block>.card:eq("+i+") .card-body .to_do .create-task .user select").attr("name", "user-"+(i+1));
				jQuery(".reminders-block>.card:eq("+i+") .card-body .to_do .create-task .short_description input").attr("name", "short_description-"+(i+1));
				jQuery(".reminders-block>.card:eq("+i+") .card-body .to_do .create-task .deadline select").attr("name", "deadline-"+(i+1));
				jQuery(".reminders-block>.card:eq("+i+") .card-body .to_do .create-task .importance select").attr("name", "importance-"+(i+1));
			}
		}
		else {
			jQuery(".reminders-block>.card:eq(0) .card-body .text_to_remind input").val("").removeAttr("value");
			jQuery(".reminders-block>.card:eq(0) .card-body .date input").val("").removeAttr("value");
			jQuery(".reminders-block>.card:eq(0) .card-body .frequency select").val("").removeAttr("value");
			jQuery(".reminders-block>.card:eq(0) .card-body .recurring input[type='radio']").removeAttr("checked");
			jQuery(".reminders-block>.card:eq(0) .card-body .recurring input[type='radio']:eq(0)").prop( "checked", true );
			jQuery(".reminders-block>.card:eq(0) .card-body .to_do input[type='radio']").removeAttr("checked");
			jQuery(".reminders-block>.card:eq(0) .card-body .to_do input[type='radio']:eq(0)").prop( "checked", true );

			jQuery(".reminders-block>.card:eq(0) .card-body .to_do .emails-to-send").attr("style", "display: block;");
			jQuery(".reminders-block>.card:eq(0) .card-body .to_do .emails-to-send input[type='hidden']").val(1);
			jQuery(".reminders-block>.card:eq(0) .card-body .to_do .emails-to-send .email").not(':first').remove();
			jQuery(".reminders-block>.card:eq(0) .card-body .to_do .emails-to-send .email input").attr("name", "email-1-1").val("").removeAttr("value");
			
			jQuery(".reminders-block>.card:eq(0) .card-body .to_do .create-task").attr("style", "display: none;");
			jQuery(".reminders-block>.card:eq(0) .card-body .to_do .create-task .user select").val("").removeAttr("value");
			jQuery(".reminders-block>.card:eq(0) .card-body .to_do .create-task .short_description input").val("").removeAttr("value");
			jQuery(".reminders-block>.card:eq(0) .card-body .to_do .create-task .deadline select").val("").removeAttr("value");
			jQuery(".reminders-block>.card:eq(0) .card-body .to_do .create-task .importance select").val("").removeAttr("value");
			
			jQuery(".reminders-block>.card:eq(0)").removeAttr("id");
		}

		if ( current_card_id ) {
			var deleted_reminders_ids_val = jQuery(".reminders-block input[name='deleted_reminders_ids']").val();
			if ( deleted_reminders_ids_val ) {
				jQuery(".reminders-block input[name='deleted_reminders_ids']").val(deleted_reminders_ids_val+","+current_card_id);
			}
			else {
				jQuery(".reminders-block input[name='deleted_reminders_ids']").val(current_card_id);	
			}			
		}

		reminders_count = jQuery(".reminders-block>.card").size();
		// if (reminders_count == 1) {
			// jQuery(".reminders-block>.card:eq(0) button.remove-reminder").attr("disabled","");
		// }
		jQuery(".reminders-block input[name='reminders_count']").val(reminders_count);
	});


	jQuery(document).on("click", "button.add-new-email", function() {
		var emails_count = jQuery(this).parent("div").siblings("div.emails-block").children(".email").size();
		var email = jQuery(this).parent("div").siblings("div.emails-block").children(".email").first().html();
		emails_count++;
		// alert(emails_count);
		jQuery(this).parent("div").siblings("div.emails-block").append('<div class="input-group mb-2 email" style="display: none;">'+email+'</div>');
		jQuery(this).parent("div").parent("div").children("input[type='hidden']:eq(0)").val(emails_count);
		var email_input_name_old = jQuery(this).parent("div").siblings("div.emails-block").children(".email:eq("+(emails_count-1)+")").children("input").attr("name");
		var email_input_name_old_array = email_input_name_old.split("-");
		jQuery(this).parent("div").siblings("div.emails-block").children(".email:eq("+(emails_count-1)+")").children("input").attr("name", "email-"+email_input_name_old_array[1]+"-"+emails_count).val("").removeAttr("value");
		jQuery(this).parent("div").siblings("div.emails-block").children(".email:eq("+(emails_count-1)+")").removeAttr("style");
	});


	jQuery(document).on("click", "button.remove-email", function() {
		var is_edit_page = jQuery(".reminders-block").children("input[type='hidden']").size();
		if ( is_edit_page == "1" ) {
			var current_reminder_index = jQuery(this).parent("div").parent("div").parent("div.emails-block").parent("div").parent("div").parent("div").parent("div").parent("div").parent("div").index()-1;	
		}	
		else if ( is_edit_page == "2" ) {
			var current_reminder_index = jQuery(this).parent("div").parent("div").parent("div.emails-block").parent("div").parent("div").parent("div").parent("div").parent("div").parent("div").index()-2;
		}
		
		var current_email_index = jQuery(this).parent("div").parent("div").index();

		var emails_count = jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .emails-block .email").size();
		// var current_email_id = jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .emails-block .email:eq("+current_email_index+")").attr("id");

		if ( emails_count > 1 ) {
			jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .emails-block .email:eq("+current_email_index+")").remove();
			var emails_count_after_remove = jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .emails-block .email").size();
			var email_input_name_first_index = jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .card-body input:eq(0)").attr("name").split("-")[1];

			for (var i = 0; i < emails_count_after_remove; i++) {
				jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .emails-block .email:eq("+i+") input").attr("name","email-"+email_input_name_first_index+"-"+(i+1));
			}		
		}
		else {
			jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .emails-block .email:eq(0) input").val("").removeAttr("value");
			jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .emails-block .email:eq(0)").removeAttr("id");
		}

		// if ( current_email_id ) {
		// 	var current_email_id_number = current_email_id.split("-")[1];
		// 	var deleted_emails_ids_val = jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .card-body input:eq(1)").val();
		// 	if ( deleted_emails_ids_val ) {
		// 		jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .card-body input:eq(1)").val(deleted_emails_ids_val+","+current_email_id_number);
		// 	}
		// 	else {
		// 		jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .card-body input:eq(1)").val(current_email_id_number);
		// 	}			
		// }

		emails_count = jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .emails-block .email").size();
		jQuery(".reminders-block>.card:eq("+current_reminder_index+") .to_do .emails-to-send .card-body input:eq(0)").val(emails_count);
	});


	jQuery(document).on("click", "button.add-new-admin", function() {
		var admins_count = jQuery(this).parent("div").siblings("div.admins-block").children(".admin").size();
		var admin = jQuery(this).parent("div").siblings("div.admins-block").children(".admin").first().html();

		admins_count++;
		
		jQuery(this).parent("div").siblings("div.admins-block").append('<div class="input-group mb-2 admin" style="display: none;">'+admin+'</div>');
		jQuery(this).parent("div").parent("div").children("input[type='hidden']:eq(0)").val(admins_count);

		jQuery(this).parent("div").siblings("div.admins-block").children(".admin:eq("+(admins_count-1)+")").children("select").attr("name", "admin-"+admins_count).val("").removeAttr("value");
		jQuery(this).parent("div").siblings("div.admins-block").children(".admin:eq("+(admins_count-1)+")").children("select").children("option").removeAttr("selected");
		jQuery(this).parent("div").siblings("div.admins-block").children(".admin:eq("+(admins_count-1)+")").removeAttr("style");
	});


	jQuery(document).on("click", "button.remove-admin", function() {
		var admins_count = jQuery(".admins.card .admins-block .admin").size();

		var current_admin_index = jQuery(this).parent("div").parent("div").index();

		if ( admins_count > 1 ) {
			jQuery(".admins.card .admins-block .admin:eq("+current_admin_index+")").remove();
			var admins_count_after_remove = jQuery(".admins.card .admins-block .admin").size();
			
			for (var i = 0; i < admins_count_after_remove; i++) {
				jQuery(".admins.card .admins-block .admin:eq("+i+") select").attr("name","admin-"+(i+1));
			}		
		}
		else {
			jQuery(".admins.card .admins-block .admin:eq(0) select").val("").removeAttr("value");
		}		

		admins_count = jQuery(".admins.card .admins-block .admin").size();
		jQuery(".admins.card input[name='admins_count']").val(admins_count);
	});

	
	jQuery(document).on("click", ".to_do input[type='radio']", function() {
		if (jQuery(this).val() == 1) {
			jQuery(this).parent("div").siblings("div.create-task").attr("style", "display: flex;");
			jQuery(this).parent("div").siblings("div.emails-to-send").attr("style", "display: none;");
		}
		else {
			jQuery(this).parent("div").siblings("div.create-task").attr("style", "display: none;");
			jQuery(this).parent("div").siblings("div.emails-to-send").attr("style", "display: block;");
		} 
	});	
});





//old
// jQuery("button.add-new-email").click(function() {
// 	var emails_count = jQuery(this).parent("div").parent("div").children(".email").size();
// 	var email = jQuery(this).parent("div").parent("div").children(".email").first().html();
// 	emails_count++;
// 	// alert(emails_count);
// 	jQuery(this).parent("div").parent("div").children().last().before('<div class="input-group mb-2 email" style="display: none;">'+email+'</div>');
// 	jQuery(this).parent("div").parent("div").children("input[type='hidden']").val(emails_count);
// 	var email_input_name_old = jQuery(this).parent("div").parent("div").children(".email:eq("+(emails_count-1)+")").children("input").attr("name");
// 	var email_input_name_old_array = email_input_name_old.split("-");
// 	jQuery(this).parent("div").parent("div").children(".email:eq("+(emails_count-1)+")").children("input").attr("name", "email-"+email_input_name_old_array[1]+"-"+emails_count).val("").removeAttr("value");
// 	jQuery(this).parent("div").parent("div").children(".email:eq("+(emails_count-1)+")").removeAttr("style");
// });