@if(Auth::check())
	<div class="sidebar">
		<ul class="menu">
			@if (Auth::user()->role_id == 1)
				<li class="">
					<a class="">Admins</a>
					<ul class="sub-menu">
						<li class="">
							<a class="" href="{{ route('admins.create') }}">Add admin</a>
						</li>
						<li class="">
							<a class="" href="{{ route('admins.index') }}">Browse admins</a>
						</li>
					</ul>
				</li>
			@endif
			@if (Auth::user()->role_id == 1)
				<li class="">
					<a class="">Consultants</a>
					<ul class="sub-menu">
						<li class="">
							<a class="" href="{{ route('consultants.create') }}">Add consultant</a>
						</li>
						<li class="">
							<a class="" href="{{ route('consultants.index') }}">Browse consultants</a>
						</li>
					</ul>
				</li>
			@endif
			@if (Auth::user()->role_id == 1 || Auth::user()->role_id == 3)
				<li class="">
					<a class="">Clients</a>
					<ul class="sub-menu">
						<li class="">
							<a class="" href="{{ route('clients.create') }}">Add client</a>
						</li>
						<li class="">
							<a class="" href="{{ route('clients.index') }}">Browse clients</a>
						</li>
					</ul>
				</li>
			@endif
			@if (Auth::user()->role_id == 1 || Auth::user()->role_id == 2 || Auth::user()->role_id == 3)
				<li class="">
					<a class="">Projects</a>
					<ul class="sub-menu">
						<li class="">
							<a class="" href="{{ route('projects.create') }}">Add project</a>
						</li>
						<li class="">
							<a class="" href="{{ route('projects.index') }}">Browse projects</a>
						</li>
					</ul>
				</li>
			@endif
			@if (Auth::user()->role_id == 1)
				<li class="">
					<a class="">Toolbox</a>
					<ul class="sub-menu">
						<li class="">
							<a class="" href="">Add document</a>
						</li>
						<li class="">
							<a class="" href="">Add form</a>
						</li>
						<li class="">
							<a class="" href="">Document</a>
						</li>
						<li class="">
							<a class="" href="">Forms</a>
						</li>
					</ul>
				</li>
			@endif
			@if (Auth::user()->role_id == 1)
				<li class="">
					<a class="">Training</a>
				</li>
			@endif
			@if (Auth::user()->role_id == 1)
				<li class="">
					<a class="">Notifications</a>
				</li>
			@endif
		</ul>
	</div>
@endif