@extends('layouts.with-sidebar')

@section('content')
    <div class="row">
        <div class="col-12 mb-4">
            ADD PROJECT
        </div>
        <div class="col-12 mb-4">
            {!! Form::open(['route' => 'projects.store', 'method' => 'POST', 'disabled' => false, 'enctype' => 'multipart/form-data', 'files' => true]) !!}
                <div class="form-group row">
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Project name</label>
                        {!! Form::text('name', null, $attributes = $errors->has('name') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')) !!}
                        @if ($errors->has('name'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('name') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-12 text-right">
                        <button type="submit" class="" name="button">ADD</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection