@extends( (Auth::user()->role_id == 1) ? 'layouts.admin' : 'layouts.user')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12 mt-4">
                <div class="card card-default">
                    <div class="card-header">Create new user!</div>
                    <div class="card-body">
                        {!! Form::open(['route' => 'users.store', 'method' => 'POST']) !!}
                            @include('users.create_form')
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection