<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12 mb-4">
            EDIT CLIENT
        </div>
        <div class="col-12 mb-4">
			<?php echo Form::model($client[0], ['method' => 'PATCH', 'route' => ['clients.update', $client[0]->id]]); ?>

                <div class="form-group row">
                    <div class="col-md-12 mb-4">
                        <?php echo e(Form::select('subscription_type', array('subscription 1' => 'subscription 1', 'subscription 2' => 'subscription 2'), null, ['placeholder' => 'Subscription type', 'class' => 'form-control', 'disabled' => false])); ?>

                        <?php if($errors->has('subscription_type')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('subscription_type')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Organization name</label>
                        <?php echo Form::text('organization_name', null, $attributes = $errors->has('organization_name') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')); ?>

                        <?php if($errors->has('organization_name')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('organization_name')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Phone</label>
                        <?php echo Form::text('phone', null, $attributes = $errors->has('phone') ? array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control is-invalid') : array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control')); ?>

                        <?php if($errors->has('phone')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('phone')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Number of Employees</label>
                        <?php echo Form::number('employees', null, $attributes = $errors->has('employees') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')); ?>

                        <?php if($errors->has('employees')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('employees')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Number of Sites</label>
                        <?php echo Form::number('sites', null, $attributes = $errors->has('sites') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')); ?>

                        <?php if($errors->has('sites')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('sites')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-12 mb-4">
                        <label class="col-form-label">Website</label>
                        <?php echo Form::text('website', null, $attributes = $errors->has('website') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')); ?>

                        <?php if($errors->has('website')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('website')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-12">
                        <label>Address</label>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('street', null, $attributes = $errors->has('street') ? array('placeholder' => 'Street', 'class' => 'form-control is-invalid') : array('placeholder' => 'Street', 'class' => 'form-control')); ?>

                        <?php if($errors->has('street')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('street')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('city', null, $attributes = $errors->has('city') ? array('placeholder' => 'City', 'class' => 'form-control is-invalid') : array('placeholder' => 'City', 'class' => 'form-control')); ?>

                        <?php if($errors->has('city')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('city')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('state', null, $attributes = $errors->has('state') ? array('placeholder' => 'State', 'class' => 'form-control is-invalid') : array('placeholder' => 'State', 'class' => 'form-control')); ?>

                        <?php if($errors->has('state')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('state')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('zip', null, $attributes = $errors->has('zip') ? array('placeholder' => 'Zip', 'class' => 'form-control is-invalid') : array('placeholder' => 'Zip', 'class' => 'form-control')); ?>

                        <?php if($errors->has('zip')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('zip')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-12">
                        <label>Primary Contact</label>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('primary_contact_lastname', null, $attributes = $errors->has('primary_contact_lastname') ? array('placeholder' => 'Last', 'class' => 'form-control is-invalid') : array('placeholder' => 'Last', 'class' => 'form-control')); ?>

                        <?php if($errors->has('primary_contact_lastname')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('primary_contact_lastname')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('primary_contact_firstname', null, $attributes = $errors->has('primary_contact_firstname') ? array('placeholder' => 'First', 'class' => 'form-control is-invalid') : array('placeholder' => 'First', 'class' => 'form-control')); ?>

                        <?php if($errors->has('primary_contact_firstname')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('primary_contact_firstname')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Email</label>
                        <?php echo Form::email('email', $client[0]->primary_contact_email, $attributes = $errors->has('email') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')); ?>

                        <?php if($errors->has('email')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('email')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Phone</label>
                        <?php echo Form::text('primary_contact_phone', null, $attributes = $errors->has('primary_contact_phone') ? array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control is-invalid') : array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control')); ?>

                        <?php if($errors->has('primary_contact_phone')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('primary_contact_phone')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-12">
                        <label>Client Admin</label>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('client_admin_lastname', null, $attributes = $errors->has('client_admin_lastname') ? array('placeholder' => 'Last', 'class' => 'form-control is-invalid') : array('placeholder' => 'Last', 'class' => 'form-control')); ?>

                        <?php if($errors->has('client_admin_lastname')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('client_admin_lastname')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('client_admin_firstname', null, $attributes = $errors->has('client_admin_firstname') ? array('placeholder' => 'First', 'class' => 'form-control is-invalid') : array('placeholder' => 'First', 'class' => 'form-control')); ?>

                        <?php if($errors->has('client_admin_firstname')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('client_admin_firstname')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Email</label>
                        <?php echo Form::email('client_admin_email', null, $attributes = $errors->has('client_admin_email') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')); ?>

                        <?php if($errors->has('client_admin_email')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('client_admin_email')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Phone</label>
                        <?php echo Form::text('client_admin_phone', null, $attributes = $errors->has('client_admin_phone') ? array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control is-invalid') : array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control')); ?>

                        <?php if($errors->has('client_admin_phone')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('client_admin_phone')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo e(Form::select('standard_id', $standards, null, $errors->has('standard_id') ? ['placeholder' => 'Standard(s)', 'class' => 'form-control is-invalid']: ['placeholder' => 'Standard(s)', 'class' => 'form-control'])); ?>

                        <?php if($errors->has('standard_id')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('standard_id')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo e(Form::select('template_id', $templates, null, $errors->has('template_id') ? ['placeholder' => 'Templates', 'class' => 'form-control is-invalid']: ['placeholder' => 'Templates', 'class' => 'form-control'])); ?>

                        <?php if($errors->has('template_id')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('template_id')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo e(Form::select('consultant_id', $consultants, null, $errors->has('consultant_id') ? ['placeholder' => 'Consultants', 'class' => 'form-control is-invalid']: ['placeholder' => 'Consultants', 'class' => 'form-control'])); ?>

                        <?php if($errors->has('consultant_id')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('consultant_id')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-12">
                        <label>FILE UPLOADS</label>
                        <div>
                            <?php echo Form::file('files_[]', array('multiple'=> true)); ?>

                        </div>
                    </div>
                    <div class="col-12 mt-4 mb-4">
                        <a href="<?php echo e($change_password_url); ?>" >
                            Change password
            			</a>
                    </div>
                    <div class="col-12 text-right">
                        <button type="submit" class="" name="button">ADD</button>
                    </div>
                </div>
            <?php echo Form::close(); ?>

        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.with-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/cms-glenviewgroup/resources/views/clients/edit.blade.php ENDPATH**/ ?>