<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row">
            <div class="col-lg-12 mt-4">
                <h3>Users list</h3>
            </div>
            <!-- <div class="col-lg-12 text-right mb-4">
                <a class="btn btn-xs btn-success" href="<?php echo e(route('users.create')); ?>">Create new user</a>
            </div> -->
        </div>
        <?php if($message = Session::get('success')): ?>
            <div class="alert alert-success">
                <?php echo e($message); ?>

            </div>
        <?php endif; ?>
        <table class="list">
        	<tr class="header">
	            <th>Firstname</th>
	            <th>Lastname</th>
	            <th>Email</th>
	            <th>Role</th>
	            <th>Controls</th>
	        </tr>
	        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
	        	<tr>
	        		<td><?php echo e($user->firstname); ?></td>
	        		<td><?php echo e($user->lastname); ?></td>
	        		<td><?php echo e($user->email); ?></td>
	        		<td><?php echo e($user->role); ?></td>
	        		<td class="controls">
	        			<!-- <a class="btn btn-xs btn-info" href="<?php echo e(route('users.show', $user->id)); ?>">Show</a> -->
	        			<a href="<?php echo e(route('users.edit', $user->id)); ?>" title="Edit">
	        				<i class="fa fa-edit"></i>
	        			</a>
	        			<a href="<?php echo e(route('users.change_password', $user->id)); ?>" title="Change password">
	        				<i class="fas fa-user-lock"></i>
	        			</a>
	        			<a href="<?php echo e(route('tasks.index').'?user='.$user->id); ?>" title="Tasks">
	        				<i class="fas fa-list-ul"></i>
	        			</a>
	        			
	        			<!-- <?php echo Form::open(['method' => 'DELETE', 'route' => ['users.destroy', $user->id], 'style'=> 'display:inline']); ?> -->
	        				<!-- <?php echo Form::submit('Delete',['class'=> 'btn btn-xs btn-danger']); ?> -->
	        				<!-- <input type="submit" value="&#xf1f8" class="fa fa-trash"> -->
	        			<!-- <?php echo Form::close(); ?> -->
	        		</td>
	        	</tr>
	        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </table>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make( (Auth::user()->role_id == 1) ? 'layouts.admin' : 'layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/cms-glenviewgroup/resources/views/users/index.blade.php ENDPATH**/ ?>