

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row justify-content-center align-items-center">
            <div class="col-xl-4 col-lg-5 col-md-7 col-sm-10 col-12 mt-5 mb-5">
                <a class="text-center d-block mb-4" href="<?php echo e(url('/')); ?>" >
                    <img src="<?php echo e(URL::asset('img/logo.jpg')); ?>">
                </a>
                <p class="text-center mb-5">
                    ALL-IN-ONE BUSINESS SOLUTION
                </p>
                <form method="POST" action="<?php echo e(route('login')); ?>">
                    <?php echo csrf_field(); ?>
                    <div class="form-group">
                        <input id="email" type="email" class="form-control<?php echo e($errors->has('email') ? ' is-invalid' : ''); ?>" name="email" value="<?php echo e(old('email')); ?>" placeholder="email" required autofocus>
                        <?php if($errors->has('email')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('email')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="form-group">
                        <!-- <label for="password" class="col-form-label">Password</label> -->
                        <div class="">
                            <input id="password" type="password" class="form-control<?php echo e($errors->has('password') ? ' is-invalid' : ''); ?>" name="password" placeholder="password" required>
                            <?php if($errors->has('password')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('password')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <!-- <div class="form-group mt-4">
                        <div class="">
                            <label>
                                <input type="checkbox" name="remember" <?php echo e(old('remember') ? 'checked' : ''); ?>> Remember Me
                            </label>
                        </div>
                        <div class="">
                            <a class="" href="<?php echo e(route('password.request')); ?>">
                                Forgot Your Password?
                            </a>
                        </div>
                    </div> -->
                    <div class="form-group mt-5">
                        <button type="submit" class="btn-block">Submit</button>                      
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.default-without-header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/cms-glenviewgroup/resources/views/auth/login.blade.php ENDPATH**/ ?>