<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12 mb-4">
            ADD ADMIN
        </div>
        <div class="col-12 mb-4">
            <?php echo Form::open(['route' => 'admins.store', 'method' => 'POST', 'disabled' => false, 'enctype' => 'multipart/form-data', 'files' => true]); ?>

                <div class="form-group row">
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Name</label>
                        <?php echo Form::text('name', null, $attributes = $errors->has('name') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')); ?>

                        <?php if($errors->has('name')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('name')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Email</label>
                        <?php echo Form::email('email', null, $attributes = $errors->has('email') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')); ?>

                        <?php if($errors->has('email')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('email')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Phone</label>
                        <?php echo Form::text('phone', null, $attributes = $errors->has('phone') ? array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control is-invalid') : array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control')); ?>

                        <?php if($errors->has('phone')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('phone')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Phone 2</label>
                        <?php echo Form::text('phone_2', null, $attributes = $errors->has('phone_2') ? array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control is-invalid') : array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control')); ?>

                        <?php if($errors->has('phone_2')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('phone_2')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-12">
                        <label>Address</label>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('street', null, $attributes = $errors->has('street') ? array('placeholder' => 'Street', 'class' => 'form-control is-invalid') : array('placeholder' => 'Street', 'class' => 'form-control')); ?>

                        <?php if($errors->has('street')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('street')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('city', null, $attributes = $errors->has('city') ? array('placeholder' => 'City', 'class' => 'form-control is-invalid') : array('placeholder' => 'City', 'class' => 'form-control')); ?>

                        <?php if($errors->has('city')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('city')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('state', null, $attributes = $errors->has('state') ? array('placeholder' => 'State', 'class' => 'form-control is-invalid') : array('placeholder' => 'State', 'class' => 'form-control')); ?>

                        <?php if($errors->has('state')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('state')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('zip', null, $attributes = $errors->has('zip') ? array('placeholder' => 'Zip', 'class' => 'form-control is-invalid') : array('placeholder' => 'Zip', 'class' => 'form-control')); ?>

                        <?php if($errors->has('zip')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('zip')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-12 text-right">
                        <button type="submit" class="" name="button">ADD</button>
                    </div>
                </div>
            <?php echo Form::close(); ?>

        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.with-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/cms-glenviewgroup/resources/views/admins/create.blade.php ENDPATH**/ ?>