<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row">
        	<div class="col-12 mt-4">
        		<div class="mb-2">
                    <h4>Create new task</h4>
                </div>
        		<?php echo Form::open(['route' => 'tasks.store', 'method' => 'POST', 'disabled' => false, 'enctype' => 'multipart/form-data', 'files' => true]); ?>

        			<?php echo $__env->make('tasks.form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        		<?php echo Form::close(); ?>

        	</div>
            <div class="col-md-6 mt-5">
                <div class="mb-2">
                    <h4>Recently completed tasks</h4>
                </div>
                <table class="table list">
                    <tr class="header">
                        <th>Task</th>
                        <th>Deadline</th>
                        <th>User</th>
                    </tr>
                    <?php $__currentLoopData = $recently_completed_tasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $task): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>
                            	<a href="tasks/<?php echo e($task->id); ?>">
                            		<?php echo e($task->short_description); ?>

                            	</a>
                            </td>
                            <td><?php echo e($task->deadline); ?></td>
                            <td>
                            	<a href="/tasks?user=<?php echo e($task->user_id); ?>">
                            		<?php echo e($task->user_firstname.' '.$task->user_lastname); ?>

                            	</a>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </table>
            </div>
            <div class="col-md-6 mt-5">
                <div class="mb-2">
                    <h4>Recently acknowledged tasks</h4>
                </div>
                <table class="table list">
                    <tr class="header">
                        <th>Task</th>
                        <th>Deadline</th>
                        <th>User</th>
                    </tr>
                    <?php $__currentLoopData = $recently_acknowledged_tasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $task): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>
                            	<a href="tasks/<?php echo e($task->id); ?>">
                            		<?php echo e($task->short_description); ?>

                            	</a>
                            </td>
                            <td><?php echo e($task->deadline); ?></td>
                            <td>
                            	<a href="/tasks?user=<?php echo e($task->user_id); ?>">
                            		<?php echo e($task->user_firstname.' '.$task->user_lastname); ?>

                            	</a>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </table>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make( (Auth::user()->role_id == 1) ? 'layouts.admin' : 'layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/newtms/resources/views/dashboard/admin.blade.php ENDPATH**/ ?>