<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row">
            <div class="col-lg-12 mt-4">
                <h3>Tasks list</h3>
            </div>
            <!-- <div class="col-lg-12 mt-4 space-between">
                <a class="btn btn-xs btn-primary mb-3" href="<?php echo e(route('tasks.index')); ?>">All</a>
                <a class="btn btn-xs btn-primary mb-3" href="<?php echo e(route('tasks.index').'?status=open'); ?>">Open</a>
                <a class="btn btn-xs btn-primary mb-3" href="<?php echo e(route('tasks.index').'?status=closed'); ?>">Closed</a>
                <a class="btn btn-xs btn-success mb-3" href="<?php echo e(route('tasks.create')); ?>" style="float: right;">Create new task</a>
            </div> -->
        </div>
        <?php if($message = Session::get('success')): ?>
            <div class="alert alert-success">
                <?php echo e($message); ?>

            </div>
        <?php endif; ?>
        <table class="table list">
            <tr class="header">
                <th>Client</th>
                <th>Task</th>
                <th>Deadline</th>
                <th>Importance</th>
                <th>User</th>
                <th>Controls</th>
            </tr>
            <?php $__currentLoopData = $tasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $task): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($task->client_firstname.' '.$task->client_lastname); ?></td>
                    <td><?php echo e($task->short_description); ?></td>
                    <td><?php echo e($task->deadline); ?></td>
                    <td><?php echo e($task->importance); ?></td>
                    <td><?php echo e($task->user_firstname.' '.$task->user_lastname); ?></td>
                    <td class="controls">
                        <!-- <a href="<?php echo e(route('tasks.show', $task->id)); ?>" title="Show">
                            <i class="fa fa-eye"></i>
                        </a> -->

                        <a href="<?php echo e(route('tasks.edit', $task->id)); ?>" title="Edit">
                            <i class="fa fa-edit"></i>
                        </a>

                        <a href="<?php echo e(route('tasks.done', $task->id)); ?>">
                            <?php if($task->done == "no"): ?>
                                <i class="fa fa-check-circle" title="Done Task" style="color: gray;"></i>
                            <?php else: ?>
                                <i class="fa fa-check-circle" title="Undone Task"></i>
                            <?php endif; ?>
                        </a>

                        <a href="<?php echo e(route('tasks.show', $task->id)); ?>" title="Comment">
                            <i class="fas fa-comment"></i>
                        </a>

                        <a href="<?php echo e(route('tasks.acknowledge', $task->id)); ?>">
                            <?php if($task->acknowledge == "no"): ?>
                                <i class="fas fa-eye" title="Acknowledge Task" style="color: gray;"></i>
                            <?php else: ?>
                                <i class="fas fa-eye" title="Unacknowledge Task"></i>
                            <?php endif; ?>
                        </a>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </table>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\tms\resources\views/tasks/index.blade.php ENDPATH**/ ?>