<div class="add-comment">
	<?php if($message = Session::get('success')): ?>
		<div class="alert alert-success">
			<?php echo e($message); ?>

		</div>
	<?php endif; ?>
	<div id="reply-to-comment" class="alert alert-primary" role="alert" style="display: none;">
		Reply to: <span></span>
		<a class="control" style="float: right;"><i class="fas fa-times"></i></a>
	</div>
	<?php echo Form::open(array('route' => ['tasks.add_comment', $id], 'method' => 'POST', 'disabled' => false)); ?>

		<div class="form-group">
			<?php echo e(Form::hidden('parent_id','0')); ?>

	        <?php echo Form::textarea('comment_text', null, $errors->has('comment_text') ? ['placeholder' => 'Type your comment ...', 'class' => 'form-control is-invalid', 'id' => 'comment_text']: ['placeholder' => 'Type your comment ...', 'class' => 'form-control', 'id' => 'comment_text']); ?>

	        <?php if($errors->has('comment_text')): ?>
	        	<span class="invalid-feedback">
	        		<strong><?php echo e($errors->first('comment_text')); ?></strong>
	        	</span>
	        <?php endif; ?>
		
	        <?php echo Form::submit('Add Comment', array('class' => 'btn btn-primary mt-3')); ?>

	    </div>
	<?php echo Form::close(); ?>

</div>
<script>
	jQuery( document ).ready(function( $ ) {
		// CKEDITOR.replace('comment_text');
		CKEDITOR.replace('comment_text', {
			filebrowserUploadUrl: "<?php echo e(asset('/tasks/'.$id.'/commentFileUpload')); ?>",
			filebrowserBrowseUrl: "<?php echo e(asset('/tasks/'.$id.'/commentFileBrowser')); ?>",
			
		});
	});
</script><?php /**PATH /home/sd3v/public_html/newtms/resources/views/comments/add.blade.php ENDPATH**/ ?>