<div class="form-group row">
    <div class="col-md-12 mb-4">
        <label for="current_password" class="col-form-label">Current password</label>
        <?php echo Form::password('current_password', $attributes = $errors->has('current_password') ? array('placeholder' => 'Current password', 'class' => 'form-control is-invalid') : array('placeholder' => 'Current password', 'class' => 'form-control', 'required')); ?>

        <?php if($errors->has('current_password')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('current_password')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label for="password" class="col-form-label">New password</label>
        <?php echo Form::password('password', $attributes = $errors->has('password') ? array('placeholder' => 'New password', 'class' => 'form-control is-invalid') : array('placeholder' => 'New password', 'class' => 'form-control', 'required')); ?>

        <?php if($errors->has('password')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('password')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label for="password-confirm" class="col-form-label text-md-righ">Confirm password</label>
        <?php echo Form::password('password_confirmation', ['class' => 'form-control', 'id' => 'password-confirm', 'placeholder' => 'Confirm password', 'required']); ?>

    </div>
    <div class="col-6">
        <a class="btn btn-xs btn-success" href="<?php echo e(route('users.index')); ?>">All users</a>
    </div>
    <div class="col-6 text-right">
        <button type="submit" class="btn btn-xs btn-primary" name="button">Submit</button>
    </div>
</div><?php /**PATH C:\xampp\htdocs\tms\resources\views/users/change_password_form.blade.php ENDPATH**/ ?>