<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12 mb-4">
            BROWSE CLIENTS
        </div>
        <div class="col-12 mb-4">
            <?php echo Form::open(['route' => 'clients.index', 'method' => 'GET', 'disabled' => false]); ?>

                <div class="row">
                    <div class="col-md-6">
                        <input type="text" class="form-control" placeholder="Client" name="client_name" value="<?php echo e(empty($_GET['client_name']) ? '' : $_GET['client_name']); ?>">
                    </div>
                    <div class="col-md-6">
                        <button class="" type="submit">Search</button>
                    </div>
                </div>               
            <?php echo Form::close(); ?>

        </div>
        <div class="col-12 mb-4">
            <?php if($message = Session::get('success')): ?>
                <div class="alert alert-success">
                    <?php echo e($message); ?>

                </div>
            <?php endif; ?>
            <table class="table list">
                <tr class="header">
                    <th>Client</th>
                    <th>Control</th>
                    <th>Projects</th>
                    <th>Consultants</th>
                </tr>
                <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td>
                            <?php if(Auth::user()->role_id == 1): ?>
                                <!-- <a href="<?php echo e(route('clients.show', $client->id)); ?>"> -->
                            <?php endif; ?>

                            <?php echo e($client->organization_name); ?>

                            
                            <?php if(Auth::user()->role_id == 1): ?>
                                <!-- </a> -->
                            <?php endif; ?>
                        </td>
                        <td class="control">
                            <a href="<?php echo e(route('clients.assign', $client->id)); ?>" class="text-center">
                                <?php if($client->assign == "no"): ?>
                                    <i class="far fa-check-square"></i>
                                    <div class="text-center">Assign</div>
                                <?php else: ?>
                                    <i class="fas fa-check-square"></i>
                                    <div class="text-center">Unassign</div>
                                <?php endif; ?>
                            </a>

                            <?php if(Auth::user()->role_id == 1): ?>
                                <a href="<?php echo e(route('clients.edit', $client->id)); ?>" class="text-center">
                                    <i class="far fa-edit"></i>
                                    <div class="text-center">Edit</div>
                                </a>
                            <?php endif; ?>

                            <a href="#" data-toggle="modal" data-target="#assign_consultant_<?php echo e($client->id); ?>" class="text-center">
                                <i class="fas fa-users"></i>
                                <div class="text-center">Assign consultant</div>
                            </a>
                            <div class="modal" id="assign_consultant_<?php echo e($client->id); ?>">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h4 class="modal-title">Assign consultant</h4>
                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                        </div>
                                        <div class="modal-body">
                                            <?php echo Form::open(array('route' => ['assign_consultant', $client->id],'enctype' => 'multipart/form-data')); ?>

                                                <div class="">
                                                    
                                                </div>
                                                <div class="text-right">
                                                    <button type="submit" class="">Assign</button>
                                                </div>
                                            <?php echo Form::close(); ?>

                                        </div>
                                    </div>
                                </div>
                            </div>           
                        </td>
                        <td>
                            <?php if(!empty($client->project_id)): ?>
                                <?php if(Auth::user()->role_id == 1): ?>
                                    <!-- <a href="<?php echo e(route('projects.show', $client->project_id)); ?>"> -->
                                <?php endif; ?>

                                <?php echo e($client->project_name); ?>

                                
                                <?php if(Auth::user()->role_id == 1): ?>
                                    <!-- </a> -->
                                <?php endif; ?>
                            <?php endif; ?>
                        </td>
                        <td>
                            <?php if(!empty($client->consultant_id)): ?>
                                <?php if(Auth::user()->role_id == 1): ?>
                                    <!-- <a href="<?php echo e(route('clients.show', $client->consultant_id)); ?>"> -->
                                <?php endif; ?>

                                <?php echo e($client->consultant_firstname.' '.$client->consultant_lastname); ?>

                                
                                <?php if(Auth::user()->role_id == 1): ?>
                                    <!-- </a> -->
                                <?php endif; ?>
                            <?php endif; ?>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </table>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.with-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/cms-glenviewgroup/resources/views/clients/index.blade.php ENDPATH**/ ?>