@extends('layouts.default-without-header')

@section('content')
    <div class="container">
        <div class="row justify-content-center align-items-center">
            <div class="col-xl-4 col-lg-5 col-md-7 col-sm-10 col-12 mt-5 mb-5">
                <a class="text-center d-block mb-4" href="{{ url('/') }}" >
                    <img src="{{ URL::asset('img/logo.jpg') }}">
                </a>
                <p class="text-center mb-5">
                    ALL-IN-ONE BUSINESS SOLUTION
                </p>
                <form method="POST" action="{{ route('login') }}">
                    @csrf
                    <div class="form-group">
                        <input id="email" type="email" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="email" value="{{ old('email') }}" placeholder="email" required autofocus>
                        @if ($errors->has('email'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('email') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="form-group">
                        <!-- <label for="password" class="col-form-label">Password</label> -->
                        <div class="">
                            <input id="password" type="password" class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}" name="password" placeholder="password" required>
                            @if ($errors->has('password'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('password') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <!-- <div class="form-group mt-4">
                        <div class="">
                            <label>
                                <input type="checkbox" name="remember" {{ old('remember') ? 'checked' : '' }}> Remember Me
                            </label>
                        </div>
                        <div class="">
                            <a class="" href="{{ route('password.request') }}">
                                Forgot Your Password?
                            </a>
                        </div>
                    </div> -->
                    <div class="form-group mt-5">
                        <button type="submit" class="btn-block">Submit</button>                      
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection