<div class="add-comment">
	@if ($message = Session::get('success'))
		<div class="alert alert-success">
			{{ $message }}
		</div>
	@endif
	<div id="reply-to-comment" class="alert alert-primary" role="alert" style="display: none;">
		Reply to: <span></span>
		<a class="control" style="float: right;"><i class="fas fa-times"></i></a>
	</div>
	{!! Form::open(array('route' => ['tasks.add_comment', $id], 'method' => 'POST', 'disabled' => false)) !!}
		<div class="form-group">
			{{ Form::hidden('parent_id','0') }}
	        {!! Form::textarea('comment_text', null, $errors->has('comment_text') ? ['placeholder' => 'Type your comment ...', 'class' => 'form-control is-invalid', 'id' => 'comment_text']: ['placeholder' => 'Type your comment ...', 'class' => 'form-control', 'id' => 'comment_text']) !!}
	        @if ($errors->has('comment_text'))
	        	<span class="invalid-feedback">
	        		<strong>{{ $errors->first('comment_text') }}</strong>
	        	</span>
	        @endif
		
	        {!! Form::submit('Add Comment', array('class' => 'btn btn-primary mt-3')) !!}
	    </div>
	{!! Form::close() !!}
</div>
<script>
	jQuery( document ).ready(function( $ ) {
		// CKEDITOR.replace('comment_text');
		CKEDITOR.replace('comment_text', {
			filebrowserUploadUrl: "{{asset('/tasks/'.$id.'/commentFileUpload')}}",
			filebrowserBrowseUrl: "{{asset('/tasks/'.$id.'/commentFileBrowser')}}",
			
		});
	});
</script>