<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12 mb-4">
            BROWSE PROJECTS
        </div>
        <div class="col-12 mb-4">
            <?php echo Form::open(['route' => 'projects.index', 'method' => 'GET', 'disabled' => false]); ?>

                <div class="row">
                    <div class="col-md-6">
                        <input type="text" class="form-control" placeholder="Project" name="project_name" value="<?php echo e(empty($_GET['project_name']) ? '' : $_GET['project_name']); ?>">
                    </div>
                    <div class="col-md-6">
                        <button class="" type="submit">Search</button>
                    </div>
                </div>               
            <?php echo Form::close(); ?>

        </div>
        <div class="col-12 mb-4">
            <?php if($message = Session::get('success')): ?>
                <div class="alert alert-success">
                    <?php echo e($message); ?>

                </div>
            <?php endif; ?>
            <table class="table list">
                <tr class="header">
					<th>Project Name</th>
					<th>ISO</th>
                    <th>Controls</th>
                    <th>Client</th>
                    <th>Cconsultant</th>
                </tr>
                <?php $__currentLoopData = $projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $project): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td>
                            <?php if(Auth::user()->role_id == 1): ?>
                                <!-- <a href="<?php echo e(route('projects.show', $project->id)); ?>"> -->
                            <?php endif; ?>

                            <?php echo e($project->name); ?>

                            
                            <?php if(Auth::user()->role_id == 1): ?>
                                <!-- </a> -->
                            <?php endif; ?>
                        </td>
                        <td>
                            <?php echo e($project->iso); ?>

                        </td>
                        <td class="control">
                            <?php if(Auth::user()->role_id == 1): ?>
                                <a href="<?php echo e(route('projects.edit', $project->id)); ?>" class="text-center">
                                    <i class="far fa-edit"></i>
                                    <div class="text-center">Edit</div>
                                </a>
                            <?php endif; ?>

                            <a href="#" data-toggle="modal" data-target="#assign_client_<?php echo e($project->id); ?>" class="text-center">
                                <i class="fas fa-users"></i>
                                <div class="text-center">Assign client</div>
                            </a>
                            <div class="modal" id="assign_client_<?php echo e($project->id); ?>">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h4 class="modal-title">Assign client</h4>
                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                        </div>
                                        <div class="modal-body">
                                            <?php echo Form::open(array('route' => ['assign_client', $project->id],'enctype' => 'multipart/form-data')); ?>

                                                <div class="">
                                                    
                                                </div>
                                                <div class="text-right">
                                                    <button type="submit" class="">Assign</button>
                                                </div>
                                            <?php echo Form::close(); ?>

                                        </div>
                                    </div>
                                </div>
                            </div>           
                        </td>
                        <td>
                            <?php if(!empty($project->client_id)): ?>
                                <?php if(Auth::user()->role_id == 1): ?>
                                    <!-- <a href="<?php echo e(route('projects.show', $project->client_id)); ?>"> -->
                                <?php endif; ?>

                                <?php echo e($project->client_organization_name); ?>

                                
                                <?php if(Auth::user()->role_id == 1): ?>
                                    <!-- </a> -->
                                <?php endif; ?>
                            <?php endif; ?>
                        </td>
                        <td>
                            <?php if(!empty($project->consultant_id)): ?>
                                <?php if(Auth::user()->role_id == 1): ?>
                                    <!-- <a href="<?php echo e(route('projects.show', $project->consultant_id)); ?>"> -->
                                <?php endif; ?>

                                <?php echo e($project->consultant_firstname.' '.$project->consultant_lastname); ?>

                                
                                <?php if(Auth::user()->role_id == 1): ?>
                                    <!-- </a> -->
                                <?php endif; ?>
                            <?php endif; ?>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </table>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.with-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/cms-glenviewgroup/resources/views/projects/index.blade.php ENDPATH**/ ?>