<div class="form-group row">
    <div class="col-md-6 mb-4">
        <label for="firstname" class="col-form-label">First name</label>
        <?php echo Form::text('firstname', null, $attributes = $errors->has('firstname') ? array('placeholder' => 'First name', 'class' => 'form-control is-invalid') : array('placeholder' => 'First name', 'class' => 'form-control')); ?>

        <?php if($errors->has('firstname')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('firstname')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label for="lastname" class="col-form-label">Last name</label>
        <?php echo Form::text('lastname', null, $attributes = $errors->has('lastname') ? array('placeholder' => 'Last name', 'class' => 'form-control is-invalid') : array('placeholder' => 'Last name', 'class' => 'form-control')); ?>

        <?php if($errors->has('lastname')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('lastname')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label for="email" class="col-form-label">E-Mail address</label>
        <?php echo Form::email('email', null, $attributes = $errors->has('email') ? array('placeholder' => 'Email', 'class' => 'form-control is-invalid') : array('placeholder' => 'Email', 'class' => 'form-control')); ?>

        <?php if($errors->has('email')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('email')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label for="role" class="col-form-label">Role</label>
        <?php echo e(Form::select('role_id', $roles, null, $errors->has('role_id') ? array('placeholder' => 'Select role', 'class' => 'form-control is-invalid') : array('placeholder' => 'Select role', 'class' => 'form-control'))); ?>

        <?php if($errors->has('role_id')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('role_id')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-6">
        <!-- <a class="btn btn-xs btn-success" href="<?php echo e(route('users.index')); ?>">All users</a> -->
    </div>
    <div class="col-6 text-right">
        <button type="submit" class="btn btn-xs btn-primary" name="button">Submit</button>
    </div>
</div><?php /**PATH /home/sd3v/public_html/newtms/resources/views/users/edit_form.blade.php ENDPATH**/ ?>