<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12 mb-4">
            BROWSE ADMINS
        </div>
        <div class="col-12 mb-4">
            <?php echo Form::open(['route' => 'admins.index', 'method' => 'GET', 'disabled' => false]); ?>

                <div class="row">
                    <div class="col-md-6">
                        <input type="text" class="form-control" placeholder="Admin" name="admin_name" value="<?php echo e(empty($_GET['admin_name']) ? '' : $_GET['admin_name']); ?>">
                    </div>
                    <div class="col-md-6">
                        <button class="" type="submit">Search</button>
                    </div>
                </div>               
            <?php echo Form::close(); ?>

        </div>
        <div class="col-12 mb-4">
            <?php if($message = Session::get('success')): ?>
                <div class="alert alert-success">
                    <?php echo e($message); ?>

                </div>
            <?php endif; ?>
            <table class="table list">
                <tr class="header">
                    <th>Admin</th>
                    <th>Control</th>
                </tr>
                <?php $__currentLoopData = $admins; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $admin): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td>
                            <?php if(Auth::user()->role_id == 1): ?>
                                <!-- <a href="<?php echo e(route('admins.show', $admin->id)); ?>"> -->
                            <?php endif; ?>

                            <?php echo e($admin->name); ?>

                            
                            <?php if(Auth::user()->role_id == 1): ?>
                                <!-- </a> -->
                            <?php endif; ?>
                        </td>
                        <td class="control">
                            <?php if(Auth::user()->role_id == 1): ?>
                                <a href="<?php echo e(route('admins.edit', $admin->id)); ?>" class="text-center">
                                    <i class="far fa-edit"></i>
                                    <div class="text-center">Edit</div>
                                </a>
                            <?php endif; ?>         
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </table>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.with-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/cms-glenviewgroup/resources/views/admins/index.blade.php ENDPATH**/ ?>