<?php $__env->startSection('content'); ?>
	<div class="container">
		<div class="row">
            <div class="col-lg-12 mt-4">
                <h3>Clients list</h3>
            </div>
            <!-- <div class="col-lg-12 text-right mb-4">
                <a class="btn btn-xs btn-success" href="<?php echo e(route('clients.create')); ?>">Create new client</a>
            </div> -->
        </div>
        <?php if($message = Session::get('success')): ?>
            <div class="alert alert-success">
                <?php echo e($message); ?>

            </div>
        <?php endif; ?>
	    <table class="list">
	        <tr class="header">
	            <th>Name</th>
	            <th>Folder</th>
	            <th>Status</th>
				<th>Controls</th>
	        </tr>
	        <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
	            <tr>
	                <td>
	                	<a href="clients/<?php echo e($client->id); ?>">
                            <?php echo e($client->name); ?>

                        </a>
                    </td>
	                <td><?php echo e($client->folder); ?></td>
	                <td><?php echo e($client->status); ?></td>
	                <td class="controls">
	                	<a href="<?php echo e(route('clients.edit', $client->id)); ?>" title="Edit">
	        				<i class="fa fa-edit"></i>
	        			</a>
	        			<a href="<?php echo e(route('tasks.index').'?client='.$client->id); ?>" title="Tasks">
	        				<i class="fas fa-list-ul"></i>
	        			</a>
	                </td>
	            </tr>
	        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
	    </table>
	</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make( (Auth::user()->role_id == 1) ? 'layouts.admin' : 'layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/newtms/resources/views/clients/index.blade.php ENDPATH**/ ?>