

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row">
            <div class="col-12 mb-2 mt-5">
                <h4>
                    <?php echo e($client[0]->name); ?>

                </h4>

                <?php if(Auth::user()->role_id == 1): ?>
                    <a href="<?php echo e(route('clients.edit', $client[0]->id)); ?>" title="Edit">
        				<i class="fa fa-edit"></i>
        			</a>
        			<a href="<?php echo e(route('tasks.index').'?client='.$client[0]->id); ?>" title="Tasks">
        				<i class="fas fa-list-ul"></i>
        			</a>
                <?php endif; ?>
            </div>
            <div class="col-12 mb-2">
                <div>
                    Folder: <?php echo e($client[0]->folder); ?>

                </div>
                <div>
                    Status: <?php echo e($client[0]->status); ?>

                </div>
            </div>
            <div class="col-12 mb-2 addresses">
            	<?php $address_counter = 0; ?>
            	<?php $__currentLoopData = $addresses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $address): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            		<?php $address_counter++; ?>
            		<div class="address card mb-4">
                        <div class="card-header">
                            Address <?php echo e($address_counter); ?>

                        </div>
                        <div class="card-body">
		            		<div>
			                    Street address: <?php echo e($address->street_address); ?>

			                </div>
			                <div>
			                    Address line 2: <?php echo e($address->address_line_2); ?>

			                </div>
			                <div>
			                    City: <?php echo e($address->city); ?>

			                </div>
			                <div>
			                    State: <?php echo e($address->state); ?>

			                </div>
			                <div>
			                    ZIP code: <?php echo e($address->zip_code); ?>

			                </div>
			           	</div>
		            </div>
		        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		    </div>
		    <div class="col-12 mb-2 reminders">
            	<?php $reminder_counter = 0; ?>
            	<?php $__currentLoopData = $reminders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $reminder): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>


            		<?php 
            		// if ( $reminder->frequency ) {
              //       $frequency_array = explode(" ", $reminder->frequency);
              //       if ( $frequency_array[1] > 1 ) {
              //           $months_counter = $frequency_array[1];
              //       }
              //       else {
              //           $months_counter = 1;
              //       }
              //   }

              //   $diff_between_today_and_created_at_days = (new DateTime(date("Y-m-d")))->diff(new DateTime($reminder->date))->days;
              //   echo date("Y-m-d H-i-s")."---".$months_counter."---".$diff_between_today_and_created_at_days."---";
      

            		$reminder_counter++; ?>
            		<div class="reminder card mb-4">
                        <div class="card-header">
                            Reminder <?php echo e($reminder_counter); ?>

                        </div>
                        <div class="card-body">
		            		<div>
			                    Text to remind: <?php echo e($reminder->text_to_remind); ?>

			                </div>
			                <div>
			                    Date: <?php echo e($reminder->date); ?>

			                </div>
			                <div>
                                Frequency: <?php echo e($reminder->frequency); ?>

                            </div>
                            <div>
			                    <?php if ( $reminder->recurring == 0 ) {
                                    echo "One time";
                                }
                                elseif ( $reminder->recurring == 1 ) {
                                    echo "Recurring";
                                } ?>
			                </div>
			                
			                <div>
			                    To do: 
			                    <?php if($reminder->to_do == 0): ?>
									Send email only
				        		<?php else: ?>
									Create a task
				                <?php endif; ?>
			                </div>
			                <?php if($reminder->to_do == 0): ?>
			                	<div>
			                    	Who should get this reminder?
			                    	<br>
			                    	Emails: <?php echo e(str_replace(',', ', ', $reminder->emails_to_send)); ?>

			                	</div>
				            <?php endif; ?>
			                <?php if($reminder->to_do == 1): ?>
			                	<div>
			                    	User: 
			                    	<?php
										$get_user_names_by_id = new App\Http\Controllers\ClientsController;
										echo $get_user_names_by_id->get_user_names_by_id($reminder->task_user);
									?>
			                	</div>
			                	<div>
			                    	Short description: <?php echo e($reminder->task_short_description); ?>

			                	</div>
			                	<div>
			                    	Deadline: <?php echo e($reminder->task_deadline); ?>

			                	</div>
			                	<div>
			                    	Importance: <?php echo e($reminder->task_importance); ?>

			                	</div>
				            <?php endif; ?>
			           	</div>
		            </div>
		        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		    </div>            
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make( (Auth::user()->role_id == 1) ? 'layouts.admin' : 'layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/newtms/resources/views/clients/show.blade.php ENDPATH**/ ?>