<div class="form-group row">
    <div class="col-md-6 mb-4">
        <label for="name" class="col-form-label">Name</label>
        <?php echo Form::text('name', null, $attributes = $errors->has('name') ? array('placeholder' => 'Name', 'class' => 'form-control is-invalid') : array('placeholder' => 'Name', 'class' => 'form-control')); ?>

        <?php if($errors->has('name')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('name')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label for="folder" class="col-form-label">Folder</label>
        <?php echo Form::text('folder', null, $attributes = $errors->has('folder') ? array('placeholder' => 'Folder', 'class' => 'form-control is-invalid') : array('placeholder' => 'Folder', 'class' => 'form-control')); ?>

        <?php if($errors->has('folder')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('folder')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label d-block">Status</label>
        <div class="form-check form-check-inline">
            <?php echo Form::radio('status', 'active', true, array('class' => 'form-check-input', 'type' => 'radio', 'id' => 'inlineRadio2')); ?>

            <label class="form-check-label" for="inlineRadio2">Active</label>
        </div>
        <div class="form-check form-check-inline">
            <?php echo Form::radio('status', 'inactive', false, array('class' => 'form-check-input', 'type' => 'radio', 'id' => 'inlineRadio')); ?>

            <label class="form-check-label" for="inlineRadio1">Inactive</label>
        </div>
        <?php if($errors->has('status')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('status')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-12 mb-4 address-block">
        <label class="col-form-label">Address</label>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12 mb-2">
                        <label for="street_address" class="col-form-label">Street Address</label>
                        <?php echo Form::text('street_address', null, $attributes = array('placeholder' => 'Street Address', 'class' => 'form-control')); ?>

                    </div>
                    <div class="col-md-6 mb-2">
                        <label for="address_line_2" class="col-form-label">Address Line 2</label>
                        <?php echo Form::text('address_line_2', null, $attributes = array('placeholder' => 'Address Line 2', 'class' => 'form-control')); ?>

                    </div>
                    <div class="col-md-6 mb-2">
                        <label for="city" class="col-form-label">City</label>
                        <?php echo Form::text('city', null, $attributes = array('placeholder' => 'City', 'class' => 'form-control')); ?>

                    </div>
                    <div class="col-md-6 mb-2">
                        <label for="state" class="col-form-label">State</label>
                        <?php echo Form::text('state', null, $attributes = array('placeholder' => 'State', 'class' => 'form-control')); ?>

                    </div>
                    <div class="col-md-6 mb-2">
                        <label for="zip_code" class="col-form-label">ZIP Code</label>
                        <?php echo Form::text('zip_code', null, $attributes = array('placeholder' => 'ZIP Code', 'class' => 'form-control')); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-12">
        <button class="btn btn-primary btn-sm add-new-address">Add new address</button>
    </div>
</div>
<div class="form-group row mb-0">
    <div class="col-6">
        <!-- <a class="btn btn-xs btn-success" href="<?php echo e(route('clients.index')); ?>">All clients</a> -->
    </div>
    <div class="col-6 text-right">
        <button type="submit" class="btn btn-xs btn-primary" name="button">Submit</button>
    </div>
</div><?php /**PATH /home/sd3v/public_html/newtms/resources/views/clients/form.blade.php ENDPATH**/ ?>