<div class="form-group row">
    <div class="col-md-6 mb-4">
        <label for="name" class="col-form-label">Name</label>
        <?php echo Form::text('name', null, $attributes = $errors->has('name') ? array('placeholder' => 'Name', 'class' => 'form-control is-invalid') : array('placeholder' => 'Name', 'class' => 'form-control')); ?>

        <?php if($errors->has('name')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('name')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label for="folder" class="col-form-label">Folder</label>
        <?php echo Form::text('folder', null, $attributes = $errors->has('folder') ? array('placeholder' => 'Folder', 'class' => 'form-control is-invalid') : array('placeholder' => 'Folder', 'class' => 'form-control')); ?>

        <?php if($errors->has('folder')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('folder')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label d-block">Status</label>
        <div class="form-check form-check-inline">
            <?php echo Form::radio('status', 'active', true, array('class' => 'form-check-input', 'type' => 'radio', 'id' => 'inlineRadio2')); ?>

            <label class="form-check-label" for="inlineRadio2">Active</label>
        </div>
        <div class="form-check form-check-inline">
            <?php echo Form::radio('status', 'inactive', false, array('class' => 'form-check-input', 'type' => 'radio', 'id' => 'inlineRadio')); ?>

            <label class="form-check-label" for="inlineRadio1">Inactive</label>
        </div>
        <?php if($errors->has('status')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('status')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
</div>
<div class="form-group row mb-0">
    <div class="col-6">
        <a class="btn btn-xs btn-success" href="<?php echo e(route('clients.index')); ?>">All clients</a>
    </div>
    <div class="col-6 text-right">
        <button type="submit" class="btn btn-xs btn-primary" name="button">Submit</button>
    </div>
</div><?php /**PATH C:\xampp\htdocs\tms\resources\views/clients/form.blade.php ENDPATH**/ ?>